Skip to main content
Get Ticket Relation Actions

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

TicketId, ParentTicketId, TicketTypeId

GetTicketRelationActions: Get the relation-driven actions that apply to a ticket, such as whether to offer closing the parent or whether open children are blocking the ticket from being closed.

TicketId
integer<int32>
ParentTicketId
integer<int32>
TicketTypeId
integer<int32>

Response

OK

Relation-driven actions applicable to a ticket, indicating whether to offer closing the parent or whether open children are blocking the ticket from being closed. Carrier object for TicketRelationAction. Services for the TicketRelationAction Carrier is available from the Ticket Agent.

TicketIdToClose
integer<int32>

ID of the parent ticket to offer closing when all its children are closed. 0 if not applicable.

IsParentRequired
boolean

True if a parent relation is mandatory for this ticket type.

CanCloseCurrentTicket
boolean

True if the ticket may be closed. False if unclosed children are blocking it.

Children
object[]

Unclosed child tickets. If CanCloseCurrentTicket is false, these are the tickets blocking the close.